Subject: Re: bug#17467: 24.3; locate-library returning spurious path

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 May 2014 20:46:15 +0300

> From: Alex Kosorukoff <[email-masked]>
> Date: Sun, 11 May 2014 10:38:39 -0700
> Cc: [email-masked]
> 
> I think locate-library has an extra parameter nosuffix, so (locate-library
> "tramp.el" 'nosuffix) will find "tramp.el." I guess for backward
> compatibility we can set nosuffix to t whenever the name has a valid suffix
> already.

But what about adding ".gz" to it?

In any case, it is very convenient to not have to worry whether
there's already a suffix there.  You cannot always know that when user
input is involved.